uniform mat4 modelViewMatrix;
uniform mat4 projectionMatrix;

// center is in world coords
uniform vec2 center;

attribute vec2 vertex;
attribute vec2 textureCoord;

varying vec2 fragDir;
varying vec2 texCoord;


void main() {
	vec4 pos = modelViewMatrix * vec4(vertex, 0.0, 1.0);
	gl_Position = projectionMatrix * pos;
	fragDir = pos.xy - center;
	texCoord = textureCoord;
}
